C#
// POST /v1/m2m/clients/{client_id}/secrets/rotate/cancel
const stytch = require('stytch');
const client = new stytch.B2BClient({
project_id: '${projectId}',
secret: '${secret}',
});
const params = {
client_id: "m2m-client-test-d731954d-dab3-4a2b-bdee-07f3ad1be885",
};
client.M2M.Clients.Secrets.RotateCancel(params)
.then(resp => { console.log(resp) })
.catch(err => { console.log(err) });// POST /v1/m2m/clients/{client_id}/secrets/rotate/cancel
package main
import (
"context"
"log"
"github.com/stytchauth/stytch-go/v18/stytch/b2b/b2bstytchapi"
"github.com/stytchauth/stytch-go/v18/stytch/consumer/m2m/clients/secrets"
)
func main() {
client, err := b2bstytchapi.NewClient(
"${projectId}",
"${secret}",
)
if err != nil {
log.Fatalf("error instantiating client: %v", err)
}
params := &secrets.RotateCancelParams{
ClientID: "m2m-client-test-d731954d-dab3-4a2b-bdee-07f3ad1be885",
}
resp, err := client.M2M.Clients.Secrets.RotateCancel(context.Background(), params)
if err != nil {
log.Fatalf("error in method call: %v", err)
}
log.Println(resp)
}// POST /v1/m2m/clients/{client_id}/secrets/rotate/cancel
package com.example;
import com.stytch.java.b2b.StytchB2BClient;
import com.stytch.java.common.StytchResult;
import com.stytch.java.consumer.models.m2mclientssecrets.RotateCancelRequest;
public class Main {
public static void main(String[] args) {
StytchB2BClient.configure("${projectId}", "${secret}");
RotateCancelRequest params = new RotateCancelRequest();
params.setClientId("m2m-client-test-d731954d-dab3-4a2b-bdee-07f3ad1be885");
Object result = StytchB2BClient.getM2M().getClients().getSecrets().rotateCancel(params);
if (result instanceof StytchResult.Success) {
System.out.println(((StytchResult.Success) result).getValue());
} else {
System.out.println(((StytchResult.Error) result).getException());
}
}
}// POST /v1/m2m/clients/{client_id}/secrets/rotate/cancel
package com.example
import com.stytch.java.b2b.StytchB2BClient
import com.stytch.java.consumer.models.m2mclientssecrets.RotateCancelRequest
fun main() {
StytchB2BClient.configure(
projectId = "${projectId}",
secret = "${secret}",
)
when (
val result =
StytchB2BClient.m2m.clients.secrets.rotateCancel(
RotateCancelRequest(
clientId = "m2m-client-test-d731954d-dab3-4a2b-bdee-07f3ad1be885",
),
)
) {
is StytchResult.Success -> println(result.value)
is StytchResult.Error -> println(result.exception)
}
}// POST /v1/m2m/clients/{client_id}/secrets/rotate/cancel
const stytch = require('stytch');
const client = new stytch.B2BClient({
project_id: '${projectId}',
secret: '${secret}',
});
const params = {
client_id: "m2m-client-test-d731954d-dab3-4a2b-bdee-07f3ad1be885",
};
client.m2m.clients.secrets.rotateCancel(params)
.then(resp => { console.log(resp) })
.catch(err => { console.log(err) });$response = $client->m2m->clients->secrets->rotate_cancel([
'client_id' => 'm2m-client-test-d731954d-dab3-4a2b-bdee-07f3ad1be885',
]);# POST /v1/m2m/clients/{client_id}/secrets/rotate/cancel
from stytch import B2BClient
client = B2BClient(
project_id="${projectId}",
secret="${secret}",
)
resp = client.m2m.clients.secrets.rotate_cancel(
client_id="m2m-client-test-d731954d-dab3-4a2b-bdee-07f3ad1be885",
)
print(resp)# frozen_string_literal: true
# POST /v1/m2m/clients/{client_id}/secrets/rotate/cancel
require 'stytch'
client = StytchB2B::Client.new(
project_id: "${projectId}",
secret: "${secret}"
)
resp = client.m2m.clients.secrets.rotate_cancel(
client_id: "m2m-client-test-d731954d-dab3-4a2b-bdee-07f3ad1be885"
)
puts resp// POST /v1/m2m/clients/{client_id}/secrets/rotate/cancel
use stytch::b2b::client::Client;
use stytch::consumer::m2m_clients_secrets::RotateCancelRequest;
fn main() {
let client = Client::new("${projectId}", "${secret}").unwrap();
let resp = client.m2m.clients.secrets.rotate_cancel(
RotateCancelRequest{
client_id: "m2m-client-test-d731954d-dab3-4a2b-bdee-07f3ad1be885",
..Default::default()
}
).await;
println!("The response is {:?}", resp);
}# POST /v1/m2m/clients/{client_id}/secrets/rotate/cancel
curl --request POST \
--url https://test.stytch.com/v1/m2m/clients/m2m-client-test-d731954d-dab3-4a2b-bdee-07f3ad1be885/secrets/rotate/cancel \
-u '${projectId}:${secret}' \
-H 'Content-Type: application/json'{
"request_id": "<string>",
"m2m_client": {
"client_id": "<string>",
"client_name": "<string>",
"client_description": "<string>",
"status": "<string>",
"scopes": [
"<string>"
],
"client_secret_last_four": "<string>",
"trusted_metadata": {},
"next_client_secret_last_four": "<string>"
},
"status_code": 123
}{
"status_code": 401,
"request_id": "request-id-test-b05c992f-ebdc-489d-a754-c7e70ba13141",
"error_type": "unauthorized_credentials",
"error_message": "Unauthorized credentials.",
"error_url": "https://stytch.com/docs/api/errors/401"
}{
"status_code": 429,
"request_id": "request-id-test-b05c992f-ebdc-489d-a754-c7e70ba13141",
"error_type": "too_many_requests",
"error_message": "Too many requests have been made.",
"error_url": "https://stytch.com/docs/api/errors/429"
}{
"status_code": 500,
"request_id": "request-id-test-b05c992f-ebdc-489d-a754-c7e70ba13141",
"error_type": "internal_server_error",
"error_message": "Oops, something seems to have gone wrong, please reach out to support@stytch.com to let us know what went wrong.",
"error_url": "https://stytch.com/docs/api/errors/500"
}Rotate Secret
Cancel Secret Rotation
Cancel the rotation of an M2M client secret
POST
/
v1
/
m2m
/
clients
/
{client_id}
/
secrets
/
rotate
/
cancel
C#
// POST /v1/m2m/clients/{client_id}/secrets/rotate/cancel
const stytch = require('stytch');
const client = new stytch.B2BClient({
project_id: '${projectId}',
secret: '${secret}',
});
const params = {
client_id: "m2m-client-test-d731954d-dab3-4a2b-bdee-07f3ad1be885",
};
client.M2M.Clients.Secrets.RotateCancel(params)
.then(resp => { console.log(resp) })
.catch(err => { console.log(err) });// POST /v1/m2m/clients/{client_id}/secrets/rotate/cancel
package main
import (
"context"
"log"
"github.com/stytchauth/stytch-go/v18/stytch/b2b/b2bstytchapi"
"github.com/stytchauth/stytch-go/v18/stytch/consumer/m2m/clients/secrets"
)
func main() {
client, err := b2bstytchapi.NewClient(
"${projectId}",
"${secret}",
)
if err != nil {
log.Fatalf("error instantiating client: %v", err)
}
params := &secrets.RotateCancelParams{
ClientID: "m2m-client-test-d731954d-dab3-4a2b-bdee-07f3ad1be885",
}
resp, err := client.M2M.Clients.Secrets.RotateCancel(context.Background(), params)
if err != nil {
log.Fatalf("error in method call: %v", err)
}
log.Println(resp)
}// POST /v1/m2m/clients/{client_id}/secrets/rotate/cancel
package com.example;
import com.stytch.java.b2b.StytchB2BClient;
import com.stytch.java.common.StytchResult;
import com.stytch.java.consumer.models.m2mclientssecrets.RotateCancelRequest;
public class Main {
public static void main(String[] args) {
StytchB2BClient.configure("${projectId}", "${secret}");
RotateCancelRequest params = new RotateCancelRequest();
params.setClientId("m2m-client-test-d731954d-dab3-4a2b-bdee-07f3ad1be885");
Object result = StytchB2BClient.getM2M().getClients().getSecrets().rotateCancel(params);
if (result instanceof StytchResult.Success) {
System.out.println(((StytchResult.Success) result).getValue());
} else {
System.out.println(((StytchResult.Error) result).getException());
}
}
}// POST /v1/m2m/clients/{client_id}/secrets/rotate/cancel
package com.example
import com.stytch.java.b2b.StytchB2BClient
import com.stytch.java.consumer.models.m2mclientssecrets.RotateCancelRequest
fun main() {
StytchB2BClient.configure(
projectId = "${projectId}",
secret = "${secret}",
)
when (
val result =
StytchB2BClient.m2m.clients.secrets.rotateCancel(
RotateCancelRequest(
clientId = "m2m-client-test-d731954d-dab3-4a2b-bdee-07f3ad1be885",
),
)
) {
is StytchResult.Success -> println(result.value)
is StytchResult.Error -> println(result.exception)
}
}// POST /v1/m2m/clients/{client_id}/secrets/rotate/cancel
const stytch = require('stytch');
const client = new stytch.B2BClient({
project_id: '${projectId}',
secret: '${secret}',
});
const params = {
client_id: "m2m-client-test-d731954d-dab3-4a2b-bdee-07f3ad1be885",
};
client.m2m.clients.secrets.rotateCancel(params)
.then(resp => { console.log(resp) })
.catch(err => { console.log(err) });$response = $client->m2m->clients->secrets->rotate_cancel([
'client_id' => 'm2m-client-test-d731954d-dab3-4a2b-bdee-07f3ad1be885',
]);# POST /v1/m2m/clients/{client_id}/secrets/rotate/cancel
from stytch import B2BClient
client = B2BClient(
project_id="${projectId}",
secret="${secret}",
)
resp = client.m2m.clients.secrets.rotate_cancel(
client_id="m2m-client-test-d731954d-dab3-4a2b-bdee-07f3ad1be885",
)
print(resp)# frozen_string_literal: true
# POST /v1/m2m/clients/{client_id}/secrets/rotate/cancel
require 'stytch'
client = StytchB2B::Client.new(
project_id: "${projectId}",
secret: "${secret}"
)
resp = client.m2m.clients.secrets.rotate_cancel(
client_id: "m2m-client-test-d731954d-dab3-4a2b-bdee-07f3ad1be885"
)
puts resp// POST /v1/m2m/clients/{client_id}/secrets/rotate/cancel
use stytch::b2b::client::Client;
use stytch::consumer::m2m_clients_secrets::RotateCancelRequest;
fn main() {
let client = Client::new("${projectId}", "${secret}").unwrap();
let resp = client.m2m.clients.secrets.rotate_cancel(
RotateCancelRequest{
client_id: "m2m-client-test-d731954d-dab3-4a2b-bdee-07f3ad1be885",
..Default::default()
}
).await;
println!("The response is {:?}", resp);
}# POST /v1/m2m/clients/{client_id}/secrets/rotate/cancel
curl --request POST \
--url https://test.stytch.com/v1/m2m/clients/m2m-client-test-d731954d-dab3-4a2b-bdee-07f3ad1be885/secrets/rotate/cancel \
-u '${projectId}:${secret}' \
-H 'Content-Type: application/json'{
"request_id": "<string>",
"m2m_client": {
"client_id": "<string>",
"client_name": "<string>",
"client_description": "<string>",
"status": "<string>",
"scopes": [
"<string>"
],
"client_secret_last_four": "<string>",
"trusted_metadata": {},
"next_client_secret_last_four": "<string>"
},
"status_code": 123
}{
"status_code": 401,
"request_id": "request-id-test-b05c992f-ebdc-489d-a754-c7e70ba13141",
"error_type": "unauthorized_credentials",
"error_message": "Unauthorized credentials.",
"error_url": "https://stytch.com/docs/api/errors/401"
}{
"status_code": 429,
"request_id": "request-id-test-b05c992f-ebdc-489d-a754-c7e70ba13141",
"error_type": "too_many_requests",
"error_message": "Too many requests have been made.",
"error_url": "https://stytch.com/docs/api/errors/429"
}{
"status_code": 500,
"request_id": "request-id-test-b05c992f-ebdc-489d-a754-c7e70ba13141",
"error_type": "internal_server_error",
"error_message": "Oops, something seems to have gone wrong, please reach out to support@stytch.com to let us know what went wrong.",
"error_url": "https://stytch.com/docs/api/errors/500"
}Cancel the rotation of an M2M client secret started with the Start Secret Rotation Endpoint. After this endpoint is called, the client’s
next_client_secret is discarded and only the original client_secret will be valid.Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Path Parameters
The ID of the client.
Body
application/json
Request type
Response
Successful response
Globally unique UUID that is returned with every API call. This value is important to log for debugging purposes; we may ask for this value to help identify a specific API call when helping you debug an issue.
The M2M Client affected by this operation.
Show child attributes
Show child attributes
The HTTP status code of the response. Stytch follows standard HTTP response status code patterns, e.g. 2XX values equate to success, 3XX values are redirects, 4XX are client errors, and 5XX are server errors.
⌘I